moeoAchievementFitnessAssignment(3)

NAME
moeoAchievementFitnessAssignment - Fitness assignment sheme based on the achievement scalarizing function propozed by Wiersbicki (1980).

SYNOPSIS

#include <moeoAchievementFitnessAssignment.h>

Inherits moeoScalarFitnessAssignment< MOEOT >< MOEOT >.

  Public Types
typedef MOEOT::ObjectiveVector ObjectiveVector
the objective vector type of the solutions

  Public Member Functions
moeoAchievementFitnessAssignment (ObjectiveVector &_reference, std::vector< double > &_lambdas, double _spn=0.0001)
Default ctor.
moeoAchievementFitnessAssignment (ObjectiveVector &_reference, double _spn=0.0001)
Ctor with default values for lambdas (1/nObjectives).
virtual void operator() (eoPop< MOEOT > &_pop)
Sets the fitness values for every solution contained in the population _pop.
void updateByDeleting (eoPop< MOEOT > &_pop, ObjectiveVector &_objVec)
Updates the fitness values of the whole population _pop by taking the deletion of the objective vector _objVec into account (nothing to do).
void setReference (const ObjectiveVector &_reference)
Sets the reference point.

  Private Member Functions
double inf () const
Returns a big value (regarded as infinite).
void compute (MOEOT &_moeo)
Computes the fitness value for a solution.

  Private Attributes
ObjectiveVector reference
the reference point
std::vector< double > lambdas
the weighted coefficients vector
double spn
an arbitrary small positive number (0 < _spn << 1)

Detailed Description

  template<class MOEOT> class moeoAchievementFitnessAssignment< MOEOT >
Fitness assignment sheme based on the achievement scalarizing function propozed by Wiersbicki (1980).

Definition at line 24 of file moeoAchievementFitnessAssignment.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoAchievementFitnessAssignment< MOEOT >::moeoAchievementFitnessAssignment (ObjectiveVector & _reference, std::vector< double > & _lambdas, double _spn = 0.0001) [inline]

Default ctor.

Parameters:
    _reference reference point vector
    _lambdas weighted coefficients vector
    _spn arbitrary small positive number (0 < _spn << 1)

Definition at line 38 of file moeoAchievementFitnessAssignment.h.

References moeoAchievementFitnessAssignment< MOEOT >::spn.

  template<class MOEOT> moeoAchievementFitnessAssignment< MOEOT >::moeoAchievementFitnessAssignment (ObjectiveVector & _reference, double _spn = 0.0001) [inline]

Ctor with default values for lambdas (1/nObjectives).

Parameters:
    _reference reference point vector
    _spn arbitrary small positive number (0 < _spn << 1)

Definition at line 54 of file moeoAchievementFitnessAssignment.h.

References moeoAchievementFitnessAssignment< MOEOT >::lambdas, and moeoAchievementFitnessAssignment< MOEOT >::spn.

Member Function Documentation

  template<class MOEOT> virtual void moeoAchievementFitnessAssignment< MOEOT >::operator() (eoPop< MOEOT > & _pop) [inline, virtual]

Sets the fitness values for every solution contained in the population _pop.

Parameters:
    _pop the population

Implements eoUF< eoPop< MOEOT > &, void >.

Definition at line 75 of file moeoAchievementFitnessAssignment.h.

References moeoAchievementFitnessAssignment< MOEOT >::compute().

  template<class MOEOT> void moeoAchievementFitnessAssignment< MOEOT >::updateByDeleting (eoPop< MOEOT > & _pop, ObjectiveVector & _objVec) [inline, virtual]

Updates the fitness values of the whole population _pop by taking the deletion of the objective vector _objVec into account (nothing to do).

Parameters:
    _pop the population
    _objVec the objective vector

Implements moeoFitnessAssignment< MOEOT >.

Definition at line 89 of file moeoAchievementFitnessAssignment.h.

  template<class MOEOT> void moeoAchievementFitnessAssignment< MOEOT >::setReference (const ObjectiveVector & _reference) [inline]

Sets the reference point.

Parameters:
    _reference the new reference point

Definition at line 99 of file moeoAchievementFitnessAssignment.h.

References moeoAchievementFitnessAssignment< MOEOT >::reference.

  template<class MOEOT> void moeoAchievementFitnessAssignment< MOEOT >::compute (MOEOT & _moeo) [inline, private]

Computes the fitness value for a solution.

Parameters:
    _moeo the solution

Definition at line 128 of file moeoAchievementFitnessAssignment.h.

References moeoAchievementFitnessAssignment< MOEOT >::inf(), moeoAchievementFitnessAssignment< MOEOT >::lambdas, moeoAchievementFitnessAssignment< MOEOT >::reference, and moeoAchievementFitnessAssignment< MOEOT >::spn.

Referenced by moeoAchievementFitnessAssignment< MOEOT >::operator()().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.